program x;
uses graph,crt;
var j,i,gd,gm:integer;
begin
gd:=detect;
initgraph(gd,gm,'c:\limbaje\tp\bgi');
if graphresult<>grok then halt(1);
j:=1;
repeat     sound(j+200);
for i:=1 to (getmaxx div 2) do begin setcolor(j);
circle((getmaxx div 2),(getmaxy div 2),i);
end; j:=j+1; nosound;sound(j+250);
for i:=(getmaxx div 2) downto 1 do begin setcolor(j);
circle((getmaxx div 2),(getmaxy div 2),i);
end; j:=j+1;nosound;
until keypressed;
closegraph;
end.